=== debian/changelog ===
btrfs-tools (0.19+20120328-7.1) wheezy; urgency=low

  * Non-maintainer upload.
  * Move udev rules file from 60-btrfs.rules to 70-btrfs.rules so it runs
    after blkid (closes: #701642).  Thanks, Bastian Blank!

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Feb 2013 19:54:48 +0100

btrfs-tools (0.19+20120328-7) unstable; urgency=low

  * Using official package-type for udeb packages in control now.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 17:56:44 +0200

btrfs-tools (0.19+20120328-6) unstable; urgency=low

  * Harmonize coding style for error redirection in initramfs-tools
    local-premount script.
  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 03:48:36 +0200

btrfs-tools (0.19+20120328-5) unstable; urgency=low

  * Adding postinst for updating initramfs (Closes: #678967).
  * Adding updated patch from Shawn Landen <shawnlandden@gmail.com> to
    fix unaligned memory accesses (Closes: #656955).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 25 Jun 2012 23:09:09 +0200

btrfs-tools (0.19+20120328-4) unstable; urgency=low

  * Adding patch from Shawn Landen <shawnlandden@gmail.com> to fix
    unaligned memory accesses (Closes: #656955).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 21 Jun 2012 13:05:12 +0200

btrfs-tools (0.19+20120328-3) unstable; urgency=low

  * Adding udev rule to automatically call 'btrfs scan' upon discovering
    btrfs devices in order to allow using btrfs raid devices
    automatically (Closes: #585568, #634658, #653632).
  * Adding patch to update btrfs manpage to match /sbin/btrfs (Closes:
    #638778, #642302).
  * Also including /sbin/btrfs in udeb.
  * Adding patch from Sten Heinze <shze@gmx.de> to ignore all arguments
    starting with -a in btrfsck for the time being (Closes: #567681,
    #571300, #612809, #668832).
  * Adding back symlink for fsck.btrfs.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jun 2012 16:00:13 +0200

btrfs-tools (0.19+20120328-2) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper (Closes:
    #673283).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 07:50:12 +0200

btrfs-tools (0.19+20120328-1) unstable; urgency=low

  * Including ioctl.h in btrfs-tools (Closes: #658471).
  * Merging upstream version 0.19+20120328.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Shortening manual build targets now that upstreams makefile has been
    updated.
  * Adding patch from Donald Gordon <don@dis.org.nz> to correct getopt
    (Closes: #665434).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 08:59:50 +0000

btrfs-tools (0.19+20111105-2) unstable; urgency=low

  * Using btrfs instead of btrfsctl in initramfs (Closes: #650614).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Dec 2011 10:33:06 +0100

btrfs-tools (0.19+20111105-1) unstable; urgency=low

  * Switching architecture fields to linux-any.
  * Adding patch to call gzip with full path when creating manpages to
    fix FTBFS on squeeze.
  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.19+20111105.
  * Updating year in copyright file.
  * Sorting overrides in rules alphabetically.
  * Prefixing variables in rules to avoid clashes.
  * Rediffing labels.patch.
  * Rediffing ftbfs.patch.
  * Rediffing linker.patch.
  * Removing gcc-4.6.patch, not required anymore.
  * Renumbering patches.
  * Avoid polluting namespace by prefixing some tools with btrfs.
  * Updating list of additional tools to be built.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 19 Nov 2011 03:15:21 +0100

btrfs-tools (0.19+20101101-2) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Updating year in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Dropping btrfs.modules, went into initramfs-tools (Closes: #612642).
  * Adding patch from Luk Claes <luk@debian.org> to fix FTBFS with --no-
    add-needed (Closes: #554059).
  * Adding patch from Jonathan Nieder <jrnieder@gmail.com> to fix FTBFS
    with gcc-4.6 (Closes: #616296).
  * Simplfying build and install overrides in rules.
  * Applying slightly modified patch from Jonathan Nieder
    <jrnieder@gmail.com> to fix CFLAGS handling in rules, see #616296.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 09:31:25 +0200

btrfs-tools (0.19+20101101-1) experimental; urgency=low

  * Merging upstream version 0.19+20101101.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 14:27:29 +0100

btrfs-tools (0.19+20100909-2) experimental; urgency=low

  * Update references to btrfs-tools instead of btrfs-progs (upstream name)
    in manpages (Closes: #599111).
  * Removing warnings about experimental status.
  * Updating package to debhelper 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 04 Oct 2010 21:28:58 +0200

btrfs-tools (0.19+20100909-1) experimental; urgency=low

  * Correcting credits for glibc.patch in patch file and changelog entry
    to David Sugar <david.sugar@canonical.com>.
  * Updating standards version to 3.9.0.
  * Merging upstream version 0.19+20100909.
  * Removing glibc.patch, merged upstream.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 25 Sep 2010 18:59:07 +0200

btrfs-tools (0.19+20100601-3) unstable; urgency=low

  * Updating year in copyright file.
  * Adding overrides for clean target to make sure package builds twice

