=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -f btrfs-image btrfstune version.h

override_dh_auto_build:
	dh_auto_build -- all btrfsck btrfstune btrfs-image convert CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/btrfs-tools prefix=/ bindir=/sbin mandir=/usr/share/man

	# Fixing 'manpage-not-compressed-with-max-compression'
	for MANPAGE in $(CURDIR)/debian/btrfs-tools/usr/share/man/*/*.gz; \
	do \
		cd $$(dirname $${MANPAGE}); \
		gunzip $$(basename $${MANPAGE}); \
	done

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-tools/usr/share/initramfs-tools/scripts/local-premount/btrfs

override_dh_strip:
	dh_strip --dbg-package=btrfs-tools-dbg
