=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -20,7 +20,7 @@
 
 Package: btrfs-tools-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
@@ -28,7 +28,7 @@
 Package: btrfs-tools-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, btrfs-tools (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (debug)
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
