## btrfs-tools 0.19+20120328

=== debian/changelog ===
btrfs-tools (0.19+20120328-7ubuntu1) quantal; urgency=low

  * Add fsck.btrfs to the initramfs (LP: 1002782)
  * Add postrm scripts to update initramfs

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 13:53:25 +0100

btrfs-tools (0.19+20120328-4ubuntu1) quantal; urgency=low

  * Add fsck.btrfs to the initramfs (LP: 1002782)
  * Add postinst/postrm scripts to update initramfs
  * Update patch to really fix unaligned memory accesses (Re-closes: #656955)
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 25 Jun 2012 11:23:39 +0100
