=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
-Standards-Version: 3.9.2
+ debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
@@ -19,9 +20,9 @@
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
 Package: btrfs-tools-udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
