## btrfs-tools 0.19+20121004

=== debian/changelog ===
btrfs-tools (0.19+20121004-1~ybp70+1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against wheezy

 -- Uli Martens <uli@youam.net>  Sun, 13 Jan 2013 16:26:03 +0100

btrfs-tools (0.19+20121004-1) unstable; urgency=low

  * Updating standards version to 3.9.4.
  * Merging upstream version 0.19+20121004.
  * Rediffing linker.patch.
  * Rediffing manpage2.patch.
  * Rediffing fsck.patch.
  * Adding patch from Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
    to avoid truncating filenames in loopdevice images (Closes: #691235).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Dec 2012 11:09:05 +0100

btrfs-tools (0.19+20120328-8) unstable; urgency=low

  * Adding udev rule for btrfs on lvm, thanks to Daniel Pocock
    <daniel@pocock.com.au> for testing (Closes: #685311).
  * Adding postrm to rebuild initrd without btrfs on remove.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 21 Aug 2012 11:49:31 +0200
