=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
