## btrfs-tools 0.19+20130117

=== debian/changelog ===
btrfs-tools (0.19+20130117-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Feb 2013 13:27:15 +0000

btrfs-tools (0.19+20121004-1ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Add fsck.btrfs to the initramfs

  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 18 Dec 2012 22:52:16 +0000

btrfs-tools (0.19+20120328-8ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Add fsck.btrfs to the initramfs (LP: 1002782)

  * Dropped changes, merged in Debian:
    - Add postrm scripts to update initramfs

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 14:23:49 +0000
