=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
 Standards-Version: 3.9.4
