=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+  CC := $(DEB_HOST_GNU_TYPE)-gcc
+else
+  CC := gcc
+endif
 
 SHELL := sh -e
 
@@ -9,7 +16,7 @@
 	dh ${@}
 
 override_dh_auto_build:
-	dh_auto_build -- all btrfs-select-super calc-size CFLAGS="$(CFLAGS)"
+	dh_auto_build -- all btrfs-select-super calc-size CFLAGS="$(CFLAGS)" CC="$(CC)"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -28,6 +35,7 @@
 
 	# Adding udev integration
 	install -D -m 0644 debian/local/btrfs.udev debian/btrfs-tools/lib/udev/rules.d/60-btrfs.rules
+	install -D -m 0644 debian/local/btrfs-lvm.udev debian/btrfs-tools/lib/udev/rules.d/80-btrfs-lvm.rules
 
 	# Adding initramfs-tools integration
 	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs
