=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
 Build-Depends:
- debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
+ debhelper (>= 9), e2fslibs-dev, libacl1-dev, libblkid-dev, liblzo2-dev, uuid-dev, zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://btrfs.wiki.kernel.org/
 
@@ -16,7 +15,7 @@
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
- This package contains utilities (mkfs, fsck, btrfsctl) used to work with btrfs
+ This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
 Package: btrfs-tools-udeb
